{{- if and .Values.google.backendConfig.enabled .Values.google.backendConfig.config }}
apiVersion: cloud.google.com/v1
kind: BackendConfig
metadata:
  labels: {{- include "common.labels.standard" . | nindent 4 }}
  {{- if .Values.commonLabels }}
    {{- include "common.tplvalues.render" ( dict "value" .Values.commonLabels "context" $ ) | nindent 4 }}
  {{- end }}
  {{- if .Values.commonAnnotations }}
  annotations: {{- include "common.tplvalues.render" ( dict "value" .Values.commonAnnotations "context" $ ) | nindent 4 }}
  {{- end }}
  name: {{ .Values.google.backendConfig.name | default (include "common.names.fullname" .) }}
spec: {{ toYaml .Values.google.backendConfig.config | nindent 2 }}
{{- end }}